vty-unix-0.2.0.0: Unix backend for Vty

Safe Haskell | None
Language | Haskell2010

Graphics.Vty.Platform.Unix.Output.XTermColor

Description

Output implementation for xterm-like terminals.

This module is exposed for testing purposes only; applications should never need to import this directly.

Synopsis

- reserveTerminal :: (Applicative m, MonadIO m) => String -> Fd -> ColorMode -> m Output

# Documentation

reserveTerminal :: (Applicative m, MonadIO m) => String -> Fd -> ColorMode -> m Output Source #

Construct an Xterm output driver. Initialize the display to UTF-8.